define({"1453":{i:0.000931343367242193,u:"../Content/Using a Namespace/Working with system metadata/Modifying object metadata.htm",a:"You use the HTTP POST method to change the metadata for existing objects in a namespace.  The request changes only the metadata that it explicitly specifies.  All other metadata remains unchanged. You can modify metadata only for the current version of an object.  You cannot modify metadata for an ...",t:"Modifying object metadata"},"1454":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with system metadata/Modifying object metadata request contents.htm",a:"The POST request to modify object metadata has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header A URL specifying the object for which you’re changing the metadata A body containing form-encoded metadata (application/x-www-form-urlencoded content ...",t:"Request contents  (PUT object and modify metadata)"},"1455":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with system metadata/Modifying object metadata request considerations.htm",a:"Request considerations  (PUT object and modify metadata) These considerations apply to requests to change object metadata: You cannot change the hold and retention settings in the same request. You cannot change the shred setting from true to false.",t:"Request considerations  (PUT object and modify metadata)"},"1456":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with system metadata/Modifying object metadata access permission.htm",a:"Access permission  (PUT object and modify metadata) To modify object metadata, you need write permission. To specify a hold parameter, you also need privileged permission for the namespace. To specify an owner parameter, you need change owner permission for the namespace.",t:"Access permission  (PUT object and modify metadata)"},"1457":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with system metadata/Modifying object metadata request-specific return codes.htm",a:"Request-specific return codes  (PUT object and modify metadata) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes .",t:"Request-specific return codes  (PUT object and modify metadata)"},"1458":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with system metadata/Modifying object metadata request-specific response headers.htm",a:"Request-specific response headers  (PUT object and modify metadata) This operation does not return any request-specific response headers.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers .",t:"Request-specific response headers  (PUT object and modify metadata)"},"1459":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with system metadata/Changing multiple metadata values for an existing object example.htm",a:"Here’s a sample HTTP POST request that makes these changes to the metadata for the Q1_2012.ppt file: Increases retention by one year from the current value Turns on shredding on delete Turns off indexing Request with curl command line curl  -k  -i  -H  \"Authorization: HCP ...",t:"Example: Changing multiple metadata values for an existing object"},"1460":{i:0.00030666508764976,u:"../Content/Using a Namespace/Working with annotations/Working with annotations.htm",a:"You can perform these operations on annotations: Storing an annotation Checking the existence of an annotation Listing annotations for an object or version Retrieving annotations for objects and versions Deleting annotations This chapter describes the procedures for the operations listed above.",t:"Working with annotations"},"1461":{i:0.000416133631555361,u:"../Content/Using a Namespace/Working with annotations/Storing an annotation.htm",a:"You use the HTTP PUT method to store or replace an annotation for an existing object.  Some namespaces are configured to require custom metadata to be well-formed XML.  In this case, HCP rejects an annotation that is not well-formed XML and returns an HTTP 400 (Bad Request) error code. An annotation ...",t:"Storing an annotation"},"1462":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Storing an annotation request contents.htm",a:"The PUT request to store an annotation includes these elements: If you’re accessing the namespace as an authenticated user, an Authorization header. A URL specifying the object for which you’re storing the annotation. A type=custom-metadata URL query parameter. An annotation=annotation-name URL ...",t:"Request contents  (PUT annotation)"},"1463":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Storing an annotation access permission.htm",a:"Access permission  (PUT annotation) To store an annotation, you need write permission.",t:"Access permission  (PUT annotation)"},"1464":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Storing an annotation request-specific return codes.htm",a:"Request-specific return codes  (PUT annotation) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes .",t:"Request-specific return codes  (PUT annotation)"},"1465":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Storing an annotation request-specific response headers.htm",a:"Request-specific response headers  (PUT annotation) The table below describes the request-specific response headers for this operation.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers .",t:"Request-specific response headers  (PUT annotation)"},"1466":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Storing an annotation usage consideration.htm",a:"A PUT to store an annotation may fail in either of these cases: The XML has a large number of different elements and attributes.  In this case, the request returns an HTTP 400 (Bad Request) error code. To prevent failures, try restructuring the XML to have fewer different elements and attributes.  ...",t:"Usage consideration  (PUT annotation)"},"1467":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Storing an annotation for an object example.htm",a:"Here’s a sample HTTP PUT request that stores an annotation named report_data containing XML specified in the Q1_2012.custom-metadata.xml file for an existing object named Q1_2012.ppt. Request with curl command line curl  -k  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\"     -iT  ...",t:"Example: Storing an annotation for an object"},"1468":{i:0.000290067484648873,u:"../Content/Using a Namespace/Working with annotations/Checking the existence of an annotation.htm",a:"Checking the existence of an annotation You use the HTTP HEAD method to check whether an object or specific version of an object has a specific annotation.",t:"Checking the existence of an annotation"},"1469":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Checking the existence of an annotation request contents.htm",a:"The HEAD request to check for an annotation includes these elements: If you’re accessing the namespace as an authenticated user, an Authorization header. The URL of the object. A type=custom-metadata URL query parameter. An annotation=annotation-namequery parameter, where annotation-name is the name ...",t:"Request contents (HEAD annotation)"},"1470":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Checking the existence of an annotation access permission.htm",a:"Access permission (HEAD annotation) To check for the existence of an annotation, you need browse permission.",t:"Access permission (HEAD annotation)"},"1471":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Checking the existence of an annotation request-specific return codes.htm",a:"Request-specific return codes (HEAD annotation) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes .",t:"Request-specific return codes (HEAD annotation)"},"1472":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Checking the existence of an annotation request-specific response headers.htm",a:"The table below describes the request-specific response headers for this operation.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers . If HCP does not find the specified annotation, it returns an X-HCP-ErrorMessage header with the message “No annotation ...",t:"Request-specific response headers (HEAD annotation)"},"1473":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Checking the existence of an annotation example.htm",a:"Here’s a sample HTTP HEAD request that checks the existence of the report_data annotation for an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -k  -iI  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Example: Checking the existence of an annotation"},"1474":{i:0.000315348225056496,u:"../Content/Using a Namespace/Working with annotations/Listing annotations for an object or version.htm",a:"Listing annotations for an object or version You use the HTTP GET method to list the annotations for an object or version.",t:"Listing annotations for an object or version"},"1475":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Listing annotations for an object or version request contents.htm",a:"The GET request to list the annotations for an object includes these elements: If you’re accessing the namespace as an authenticated user, an Authorization header The URL of the object A type=custom-metadata-info query parameter If an object has multiple versions, specify this optional URL query ...",t:"Request contents (GET annotation)"},"1476":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Listing annotations for an object or version access permission.htm",a:"Access permission (GET annotation) To list annotations, you need read permission.",t:"Access permission (GET annotation)"},"1477":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Listing annotations for an object request-specific return codes.htm",a:"Request-specific return codes (GET annotation) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes .",t:"Request-specific return codes (GET annotation)"},"1478":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Listing annotations for an object request-specific response header.htm",a:"Request-specific response header (GET annotation) The table below describes the request-specific response header for this operation.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers .",t:"Request-specific response header (GET annotation)"},"1479":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Listing annotations for an object or version response body.htm",a:"The body of the HTTP response to a GET request to list the annotations for an object or version contains an XML document listing the annotation information, in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003cannotations\u003e     \u003cannotation\u003e     \t\u003cname\u003eannotation-name\u003c/name\u003e ...",t:"Response body (GET annotation or annotation versions)"},"1480":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Listing annotations for an object example.htm",a:"Here’s a sample HTTP GET request that lists the annotations for an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -k  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Example: Listing annotations for an object"},"1481":{i:0.00033051666930107,u:"../Content/Using a Namespace/Working with annotations/Retrieving annotations for objects and versions.htm",a:"You use the HTTP GET method to retrieve an annotation for an object or version of an object.  The annotation is returned in the format it had before it was stored. You can also use a single request to retrieve object or version data and custom metadata together.  For more information on this, see  ...",t:"Retrieving annotations for objects and versions"},"1482":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Retrieving annotations for objects and versions request contents.htm",a:"The GET request to retrieve an annotation for an object or version includes these elements: If you’re accessing the namespace as an authenticated user, an Authorization header. The URL of the object. A type=custom-metadata query parameter. An annotation=annotation-namequery parameter, where ...",t:"Request contents (GET annotation for object versions)"},"1483":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Retrieving annotations for objects and versions access permission.htm",a:"Access permission (GET annotation for object versions) To retrieve an annotation, you need read permission.",t:"Access permission (GET annotation for object versions)"},"1484":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Retrieving annotations for objects request-specific return codes.htm",a:"Request-specific return codes (GET annotation for object versions) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes .",t:"Request-specific return codes (GET annotation for object versions)"},"1485":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Retrieving annotations for objects request-specific response headers.htm",a:"Request-specific response headers (GET annotation for object versions) The table below describes the request-specific response headers for this operation.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers .",t:"Request-specific response headers (GET annotation for object versions)"},"1486":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Retrieving annotations for objects response body.htm",a:"Response body (GET annotation for object versions) The body of the HTTP response contains the annotation.",t:"Response body (GET annotation for object versions)"},"1487":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Retrieving an annotations for an object example.htm",a:"Here’s a sample HTTP GET request that retrieves the account_info annotation for an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -k  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Example: Retrieving an annotations for an object"},"1488":{i:0.000290067484648873,u:"../Content/Using a Namespace/Working with annotations/Deleting annotations.htm",a:"Deleting annotations You use the HTTP DELETE request to delete an annotation for an object.  You cannot delete annotations for old versions of an object.",t:"Deleting annotations"},"1489":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Deleting annotations request contents.htm",a:"The DELETE request to delete an annotation includes these elements: If you’re accessing the namespace as an authenticated user, an Authorization header. The URL of the object. A type=custom-metadata URL query parameter. An annotation=annotation-namequery parameter, where annotation-name is the name ...",t:"Request contents (DELETE annotations)"},"1490":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Deleting annotations access permission.htm",a:"Access permission (DELETE annotations) To delete an annotation, you need delete permission.",t:"Access permission (DELETE annotations)"},"1491":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Deleting annotations request-specific return codes.htm",a:"Request-specific return codes (DELETE annotations) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes .",t:"Request-specific return codes (DELETE annotations)"},"1492":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Deleting annotations request-specific response headers.htm",a:"Request-specific response headers (DELETE annotations) This operation does not return any request-specific response headers.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers .",t:"Request-specific response headers (DELETE annotations)"},"1493":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with annotations/Deleting an annotation for an object example.htm",a:"Here’s a sample HTTP DELETE request that deletes the report_data annotation for an object named Q1_2012.ppt located in the quarterly_rpts directory. Request with curl command line curl  -k  -iX  DELETE     -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Example: Deleting an annotation for an object"},"1494":{i:0.00030666508764976,u:"../Content/Using a Namespace/Working with ACLs/Working with ACLs.htm",a:"Working with ACLs You can perform these operations on ACLs: Storing an ACL Checking the existence of an ACL Retrieving ACLs for objects and versions Deleting an ACL This chapter describes the procedures for the operations listed above.",t:"Working with ACLs"},"1495":{i:0.000303100899296536,u:"../Content/Using a Namespace/Working with ACLs/Storing an ACL.htm",a:"You use the HTTP PUT method to store or replace an ACL for an existing object.  ACLs can be specified in XML or JSON format.  Unlike storing annotations, you can store an ACL for an object under retention. An ACL is stored as a single unit.  You can add it or replace it in its entirely, but you ...",t:"Storing an ACL"},"1496":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Storing an ACL request contents.htm",a:"The PUT request to store an ACL has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header. A URL specifying the object for which you’re adding the ACL. A type=acl URL query parameter. A body consisting of the ACL XML or JSON.  For information on the ...",t:"Request contents (PUT ACL)"},"1497":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Storing an ACL access permission.htm",a:"Access permission (PUT ACL) To store or replace an ACL for an object, you need write ACL permission.",t:"Access permission (PUT ACL)"},"1498":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Storing an ACL request-specific return codes.htm",a:"Request-specific return codes (PUT ACL) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes .",t:"Request-specific return codes (PUT ACL)"},"1499":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Storing an ACL request-specific response headers.htm",a:"Request-specific response headers (PUT ACL) This operation does not return any request-specific headers.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers .",t:"Request-specific response headers (PUT ACL)"},"1500":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Storing an ACL usage consideration.htm",a:"Usage consideration (PUT ACL) The PUT of an ACL may fail with an HTTP 409 (Conflict) error code if a large number of clients try to store ACLs for multiple objects at the same time.  In this case, limit the number of concurrent requests from clients to the namespace.",t:"Usage consideration (PUT ACL)"},"1501":{i:0.000383128426347772,u:"../Content/Using a Namespace/Working with ACLs/Storing an ACL for an object example.htm",a:"Here’s a sample HTTP PUT request that stores the ACL defined in the Q1_2012.acl.xml file for an existing object named Q1_2012.ppt. Request with curl command line curl  -k  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\"     -iT  Q1_2012.acl.xml  -H  \"Content-Type: application/xml\" ...",t:"Example: Storing an ACL for an object"},"1502":{i:0.000303100899296536,u:"../Content/Using a Namespace/Working with ACLs/Checking the existence of an ACL.htm",a:"Checking the existence of an ACL You use the HTTP HEAD method to check whether an object or version of an object has an ACL.",t:"Checking the existence of an ACL"},"1503":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Checking the existence of an ACL request contents.htm",a:"The HEAD request to check the existence of an ACL has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header The URL of the object A type=acl URL query parameter Normally, an ACL applies to all versions of an object.  One exception exists:  if, while ...",t:"Request contents (HEAD ACL)"},"1504":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Checking the existence of an ACL access permission.htm",a:"Access permission (HEAD ACL) To check for the existence of an ACL, you need read ACL permission.",t:"Access permission (HEAD ACL)"},"1505":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Checking the existence of an ACL request-specific return codes.htm",a:"Request-specific return codes (HEAD ACL) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes .",t:"Request-specific return codes (HEAD ACL)"},"1506":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Checking the existence of an ACL request-specific response headers.htm",a:"Request-specific response headers (HEAD ACL) The table below describes the request-specific response headers for this operation.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers .",t:"Request-specific response headers (HEAD ACL)"},"1507":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Checking the existence of an ACL example.htm",a:"Here’s a sample HTTP HEAD request that checks the existence of an ACL for an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -k  -iI  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Example: Checking the existence of an ACL"},"1508":{i:0.000343550083948732,u:"../Content/Using a Namespace/Working with ACLs/Retrieving ACLs for objects and versions.htm",a:"Retrieving ACLs for objects and versions You use the HTTP GET method to retrieve an ACL for an object or version of an object.  The ACL can be returned in either XML or JSON format.",t:"Retrieving ACLs for objects and versions"},"1509":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Retrieving ACLs for object and versions request contents.htm",a:"The GET request to retrieve an ACL has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header The URL of the object A type=acl URL query parameter The GET request can also specify an HTTP Accept header with one of these values: To retrieve the ACL in XML ...",t:"Request contents (GET ACL for object and versions)"},"1510":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Retrieving ACLs for object and versions access permission.htm",a:"Access permission (GET ACL for object and versions) To retrieve an ACL for an object, you need read ACL permission.",t:"Access permission (GET ACL for object and versions)"},"1511":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Retrieving ACLs for object and versions request-specific return codes.htm",a:"Request-specific return codes (GET ACL for object and versions) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes .",t:"Request-specific return codes (GET ACL for object and versions)"},"1512":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Retrieving ACLs for objects and versions request-specific response headers.htm",a:"This operation returns Content-Length and Content-Type headers with information about the ACL.  If the request specifies a gzip-compressed response, HCP returns a Content-Encoding header with a value of gzip. This operation does not return any request-specific HCP-specific headers. For information ...",t:"Request-specific response headers (GET ACL for object and versions)"},"1513":{i:0.000339056787688716,u:"../Content/Using a Namespace/Working with ACLs/Retrieving ACLs for objects and versions response body.htm",a:"If an object has an ACL, the body of the HTTP response contains the ACL in XML or JSON. If an object does not have an ACL, the body of the HTTP response contains: In XML: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003caccessControlList/\u003e In JSON: {\"grant\":[]}",t:"Response body (GET ACL for object and versions)"},"1514":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Retrieving an ACL for an object example.htm",a:"Here’s a sample HTTP GET request that retrieves the ACL for an object named Q1_2012.ppt in the quarterly_rpts directory. Request with curl command line curl  -k  -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Example: Retrieving an ACL for an object"},"1515":{i:0.000303100899296536,u:"../Content/Using a Namespace/Working with ACLs/Deleting an ACL.htm",a:"Deleting an ACL You use the HTTP DELETE request to delete an ACL from an object.  You cannot delete an ACL from an old version of an object.",t:"Deleting an ACL"},"1516":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Deleting an ACL request contents.htm",a:"Request contents (DELETE ACL) The DELETE request to delete an ACL has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header The URL of the object A type=acl URL query parameter",t:"Request contents (DELETE ACL)"},"1517":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Deleting an ACL access permission.htm",a:"Access permission (DELETE ACL) To delete an ACL, you need write ACL or delete permission.",t:"Access permission (DELETE ACL)"},"1518":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Deleting an ACL request-specific return codes.htm",a:"Request-specific return codes (DELETE ACL) The table below describes the HTTP return codes that have specific meaning for this request.  For descriptions of all possible return codes, see  HTTP return codes .",t:"Request-specific return codes (DELETE ACL)"},"1519":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Deleting an ACL request-specific response headers.htm",a:"Request-specific response headers (DELETE ACL) This operation does not return any request-specific response headers.  For information on all HCP-specific response headers, see  HCP-specific HTTP response headers .",t:"Request-specific response headers (DELETE ACL)"},"1520":{i:0.000237933826058224,u:"../Content/Using a Namespace/Working with ACLs/Deleting an ACL for an object example.htm",a:"Here’s a sample HTTP DELETE request that deletes the ACL for an object named Q1_2012.ppt located in the quarterly_rpts directory. Request with curl command line curl  -k  -iX  DELETE     -H  \"Authorization: HCP bXl1c2Vy:3f3c6784e97531774380db177774ac8d\" ...",t:"Example: Deleting an ACL for an object"},"1521":{i:0.000317357531353546,u:"../Content/Using a Namespace/Retrieving namespace information/Retrieving namespace information.htm",a:"You can use HTTP GET requests to retrieve information about the namespaces you can access.  You can retrieve this information: Retrieving namespace information Retrieving settings for an individual namespace Listing retention classes Listing namespace and user permissions Listing namespace ...",t:"Retrieving namespace information"},"1522":{i:0.000263214566465847,u:"../Content/Using a Namespace/Retrieving namespace information/Listing accessible namespaces.htm",a:"Listing accessible namespaces You use the HTTP GET method to list the namespaces you can access.  The list contains the namespaces owned by the specified tenant and for which you have any permissions",t:"Listing accessible namespaces"},"1523":{i:0.000237933826058224,u:"../Content/Using a Namespace/Retrieving namespace information/Listing accessible namespaces request contents.htm",a:"The GET request to list accessible namespaces has these elements: If you’re accessing the namespace as an authenticated user, an Authorization header A URL in the following format: http[s]://namespace-name.tenant-name.hcp-domain-name/proc The URL must include a namespace name.  You can use the name ...",t:"Request contents (GET namespaces)"},});