define({"1953":{i:0.00111297607628458,u:"../Content/Using the HCP Openstack Swift API/Query parameters.htm",a:"Some HSwift requests accept query parameters. Query parameters are appended to a resource URL following a question mark (?). Multiple parameters are joined by ampersands (\u0026). The following considerations apply to query parameters: If you specify an invalid value for any query parameter, HCP returns ...",t:"Query parameters"},"1954":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Limiting a listing of current items.htm",a:"You can use the delimiter, format, limit, marker, end_marker, path, and prefix query parameters, alone or in combination with each other, to limit the list of the current objects in an account or container and control the format in which the response body is returned. delimiter The delimiter ...",t:"Limiting a listing of current items"},"1955":{i:0.000347153261011272,u:"../Content/Using the HCP Openstack Swift API/Using an IP address in a URL.htm",a:"Normally, you let HCP choose the node on which to process an HSwift API request.  You can, however, use an IP address in the request URL to access the system on a specific node.  To do this, you replace the fully qualified hostname in the URL with the IP address of an HCP node. Here\u0027s an example of ...",t:"Using an IP address in a URL"},"1956":{i:0.0033954983227744,u:"../Content/Using the HCP Openstack Swift API/Requests and responses.htm",a:"Requests and  responses With the HSwift API, you submit requests for operations to HCP, and HCP returns responses that indicate the outcome of the request and includes any requested information or content. This section goes over the common request and response headers that HSwift supports. Due to ...",t:"Requests and responses"},"1957":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Request.htm",a:"Requests HSwift is an HTTP-based API. As is standard for HTTP, the structure for an HSwift request consists of a request line, request headers that qualify the request, and, if applicable, a request body.",t:"Requests"},"1958":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Request line.htm",a:"The request line for an HSwift request specifies the operation to be performed, whether the target of the operation is an account, container, or object, and the version of HTTP on which the HSwift API is based.  In an HSwift request that uses Keystone authentication, the account name is ...",t:"Request line"},"1959":{i:0.0021929777509144,u:"../Content/Using the HCP Openstack Swift API/Common request headers.htm",a:"Common  request headers Some request headers are common to all HSwift requests. The table below describes those headers. Request headers that are specific to certain requests are described in the section for those requests in  Working with containers  and  Working with objects . Request header names ...",t:"Common request headers"},"1960":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Responses.htm",a:"The response to an HSwift request consists of a response status line, response headers that provide information about the execution and outcome of the request, and, if applicable, a response body. The response to an unsuccessful request (except for HEAD requests) includes an error response body.",t:"Responses"},"1961":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Response status line.htm",a:"The status line returned in response to an HSwift request specifies the version of HTTP on which the HSwift API is based and an HTTP status code that indicates the outcome of the request. HTTP status codes in the 2xx range indicate that the requested operation was successful. HTTP status codes in ...",t:"Response status line"},"1962":{i:0.00246263898192905,u:"../Content/Using the HCP Openstack Swift API/Common response headers.htm",a:"Common  response headers Some response headers are common to all HSwift requests. The table below describes those headers. Response headers that are specific to certain requests are described in the sections for those requests in  Working with containers  and  Working with objects .",t:"Common response headers"},"1963":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Error response body.htm",a:"Error response body When an HSwift request results in an error, HCP returns information about the error in an error request body. An error request body contains HTML in this format: \u003chtml\u003e      \u003ch1\u003eHTTP-status-code\u003c/h1\u003e      \u003cp\u003eerror-message\u003c/p\u003e \u003c/html\u003e",t:"Error response body"},"1964":{i:0.00273230021294369,u:"../Content/Using the HCP Openstack Swift API/Error codes.htm",a:"Every error response body contains an HTTP status code and a description that provides more information about the error. The error codes themselves can be found with the response header. A single HTTP status code can correspond to multiple error codes. The table below describes the error codes that ...",t:"Error codes"},"1965":{i:0.00369772673496366,u:"../Content/Using the HCP Openstack Swift API/Working with containers.htm",a:"For each container operation you can request, this chapter: Describes the operation Shows the request line for the operation Describes the request headers for the operation Describes the response headers returned for a successful execution of the requested operation Shows the format of the request ...",t:"Working with containers"},"1966":{i:0.000252379963434009,u:"../Content/Using the HCP Openstack Swift API/Creating a container.htm",a:"You use the HTTP PUT method to create a container. You can create a container only if your HSwift account is configured to let you do so. When you create a container, you specify a name for it. For information on naming containers, see  Container names . If you use the PUT method to add an another ...",t:"Creating a container"},"1967":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT container request line.htm",a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to create a container has either of these formats: With the Keystone tenant ID: PUT /swift/v1/tenant-ID/container-name HTTP/1.1 With the account name: ...",t:"Request line (PUT container)"},"1968":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT container request headers.htm",a:"Request headers (PUT container) The table below describes the headers you can use in a request to create a container.  ",t:"Request headers (PUT container)"},"1969":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT container response headers.htm",a:"Response headers (PUT container) The table below describes the response headers returned in response to a successful request to create a container.",t:"Response headers (PUT container)"},"1970":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT container HTTP response codes.htm",a:"HTTP response codes (PUT container) The table below describes HTTP status codes that can be returned in response to a request to create a container. For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"HTTP response codes (PUT container)"},"1971":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT container examples.htm",a:"Examples The following sections show sample PUT requests for creating containers.",t:"Examples"},"1972":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Creating a container example.htm",a:"Here\u0027s a sample PUT request that creates a container named finance in the context of the tenant named europe. Request with cURL command line curl -X PUT http://api.hcp.example.com/swift/v1/AUTH_6b6884ebb6f441cfbb7e740f6a927c9e/finance  -i -H \"X-Auth-Token: dc5efec8f546455eac974e7bbfd0dd87\" Request ...",t:"Example 1: Creating a container"},"1973":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Creating a container with an ACL example (data permission only).htm",a:"Here\u0027s a sample PUT request that creates a container named human-resources and adds an ACL to the container. The ACL grants read permission to all users and write permission to the Keystone users with usernames mwhite and pdgrey. Request with cURL command line curl -X PUT ...",t:"Example 2: Creating a container with an ACL example (data permission only)"},"1974":{i:0.000252379963434009,u:"../Content/Using the HCP Openstack Swift API/Listing account metadata.htm",a:"Listing  account metadata You use the HTTP HEAD method to list account metadata. You need an account to request this operation. The target of a request to list the account metadata is a tenant (that is, the service point). When you list account metadata, you are returned information about the total ...",t:"Listing account metadata"},"1975":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/HEAD account request line.htm",a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to list account containers has either of these formats: With the Keystone tenant ID: HEAD /swift/v1/tenant-ID HTTP/1.1 With the account name: HEAD /swift/v1/account-name HTTP/1.1",t:"Request line (HEAD account)"},"1976":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/HEAD account request headers.htm",a:"Request headers (HEAD account) The table below describes the headers you can use in a request to  list account container data.",t:"Request headers (HEAD account)"},"1977":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/HEAD account response headers.htm",a:"Response headers (HEAD account) The table below describes the response headers returned in response to a successful request to list account container data.",t:"Response headers (HEAD account)"},"1978":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/HEAD account HTTP response codes.htm",a:"HTTP response codes (HEAD account) The table below describes HTTP status codes that can be returned in response to a request to list account container data. For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"HTTP response codes (HEAD account)"},"1979":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Listing an account\u0027s metadata.htm",a:"Here\u0027s a sample HEAD request that lists the metadata of an account named europe. Request with curl command line curl -i -X HEAD http://api.hcp.example.com/swift/v1/AUTH_6b6884ebb6f441cfbb7e740f6a927c9e -H \"X-Auth-Token: dc5efec8f546455eac974e7bbfd0dd87\" Request headers HEAD ...",t:"Example: Listing an account\u0027s metadata"},"1980":{i:0.000252379963434009,u:"../Content/Using the HCP Openstack Swift API/Listing containers.htm",a:"You use the HTTP GET method to list the containers in an account. You need an account to request this operation. The target of a request to list the container is a tenant (that is, the service point). The list of containers in the response contains only containers created in the context of that ...",t:"Listing containers"},"1981":{i:0.000553582084912396,u:"../Content/Using the HCP Openstack Swift API/Limiting the container listing.htm",a:"Limiting the container listing You use query parameters to limit the items included in a container listing. For more information on query parameters, see  Query parameters .",t:"Limiting the container listing"},"1982":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/GET account request line.htm",a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to list the containers you own has this format: With the Keystone tenant ID: GET /swift/v1/tenant-ID HTTP/1.1 With the account name: GET /swift/v1/account-name HTTP/1.1",t:"Request line  (GET account)"},"1983":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/GET account request headers.htm",a:"Request headers  (GET account) The table below describes the headers you can use in a request to list the containers you own.",t:"Request headers  (GET account)"},"1984":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/GET account response headers.htm",a:"Response headers  (GET account) The table below describes the response headers returned in response to a successful request to list the containers you own.",t:"Response headers  (GET account)"},"1985":{i:0.000452459123281904,u:"../Content/Using the HCP Openstack Swift API/GET account response body.htm",a:"By default, HCP returns the list of containers you own in a plain text format. For the purpose of this example, the response body have been converted to XML using the Accept header. This is the response body, in XML format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003caccount ...",t:"Response body  (GET account)"},"1986":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/GET account HTTP response codes.htm",a:"HTTP response codes  (GET account) The table below describes HTTP status codes that can be returned in response to a request to list the containers you own. For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"HTTP response codes  (GET account)"},"1987":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Listing containers example.htm",a:"Here\u0027s a sample GET request that returns a list of the containers in the context of the europe tenant. Request with curl command line curl -X GET http://api.hcp.example.com/swift/v1/AUTH_6b6884ebb6f441cfbb7e740f6a927c9e -H \"Accept: application/xml\" -H \"X-Auth-Token: dc5efec8f546455eac974e7bbfd0dd87\" ...",t:"Example: Listing containers"},"1988":{i:0.000252379963434009,u:"../Content/Using the HCP Openstack Swift API/Checking a container\u0027s metadata.htm",a:"You use the HTTP HEAD method to check a container\u0027s metadata. To successfully check a container\u0027s metadata, you need read permission for the container. If the container you specify in the HEAD request does not exist, HCP returns a 404 (Not Found) status code. If you do not have read permission for ...",t:"Checking a container\u0027s metadata"},"1989":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/HEAD container request line.htm",a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to check a container\u0027s metadata has either of these formats: With the Keystone tenant ID: HEAD /swift/v1/tenant-ID/container-name HTTP/1.1 With the account name: HEAD ...",t:"Request line  (HEAD container)"},"1990":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/HEAD container request headers.htm",a:"Request headers  (HEAD container) The table below describes the headers you can use in a request to check a container\u0027s metadata.",t:"Request headers  (HEAD container)"},"1991":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/HEAD container response headers.htm",a:"Response headers  (HEAD container) The table below describes the response headers returned in response to a successful request to check a container\u0027s metadata.",t:"Response headers  (HEAD container)"},"1992":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/HEAD container HTTP status codes.htm",a:"HTTP status codes  (HEAD container) The table below describes HTTP status codes that can be returned in response to a request to check  a container\u0027s metadata. For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"HTTP status codes  (HEAD container)"},"1993":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Checking a container\u0027s metadata example.htm",a:"Here\u0027s a sample HEAD request that checks the metadata of a container named finance. Request with curl command line curl -i -X HEAD http://api.hcp.example.com/swift/v1/AUTH_6b6884ebb6f441cfbb7e740f6a927c9e/finance -H \"X-Auth-Token: dc5efec8f546455eac974e7bbfd0dd87\" Request headers HEAD ...",t:"Example: Checking a container\u0027s metadata"},"1994":{i:0.000252379963434009,u:"../Content/Using the HCP Openstack Swift API/Adding an ACL to a container (data access permission only).htm",a:"You use the HTTP POST method with either the read or write ACL header to add an ACL to an existing container. Adding an ACL to a container replaces the existing read or write ACL in its entirety. You cannot modify an existing ACL in place. To add an ACL to a container, you need write ACL permission ...",t:"Adding an ACL to a container (data access permission only)"},"1995":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/POST container request line.htm",a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to add an ACL (write or read) to a container has either of these formats: With the Keystone tenant ID: POST /swift/v1/tenant-ID/container-name HTTP/1.1 \"X-Container-Write: ...",t:"Request line (POST container)"},"1996":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/POST container request headers.htm",a:"Request headers (POST container) The table below describes the headers you can use in a request to add an ACL container.",t:"Request headers (POST container)"},"1997":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/POST container response headers.htm",a:"Response headers (POST container) The table below describes the response headers returned in response to a successful request to add an ACL to a container.    ",t:"Response headers (POST container)"},"1998":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/POST container HTTP status codes.htm",a:"HTTP status codes (POST container) The table below describes the response headers returned in response to a successful request to add an ACL to a container.",t:"HTTP status codes (POST container)"},"1999":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Adding an ACL to a container examples.htm",a:"Examples The following sections show sample POST requests for adding ACLs to containers.",t:"Examples"},"2000":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Adding an ACL to a container by specifying individual users example.htm",a:"Here\u0027s a sample POST request that adds an ACL to the finance container by using the X-Container-Write and X-Container-Read headers. The ACL grants write permission to the Keystone authenticated user pdgrey, and read permissions to Keystone authenticated users pdgrey and mwhite. Request with curl ...",t:"Example 1: Adding an ACL to a container by specifying individual users"},"2001":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Adding a public ACL to a container example.htm",a:"Here\u0027s a sample POST request that adds an ACL that give public read, browse, write, and delete data permissions to the finance container by using the X-Container-Write and X-Container-Read headers. Request with curl command line curl -i -X POST ...",t:"Example 2: Adding a public ACL to a container"},"2002":{i:0.000252379963434009,u:"../Content/Using the HCP Openstack Swift API/Listing container contents.htm",a:"You use the HTTP GET method to list the contents of a container and its  ACLs. To list the contents of a container, you need browse permission for the container. For the purpose of a container listing, the container contents consist not only of the objects you stored in the container but also of the ...",t:"Listing container contents"},"2003":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Limiting the object listing.htm",a:"Limiting the object listing You use query parameters to limit the items included in a object listing. For more information on query parameters, see,  Query parameters",t:"Limiting the object listing"},"2004":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/GET container request line.htm",a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to list the contents of a container has either of these formats: With the Keystone tenant ID: GET /swift/v1/tenant-ID/container-name[?query-parameters] HTTP/1.1 With the account ...",t:"Request line (GET container)"},"2005":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/GET container request headers.htm",a:"Request headers (GET container) The table below describes the headers you can use in a request to list the contents of a container.",t:"Request headers (GET container)"},"2006":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/GET container response headers.htm",a:"Response headers (GET container) The table below describes the response headers returned in response to a successful request to list the contents of a container.",t:"Response headers (GET container)"},"2007":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/GET container listing items in a directory response body.htm",a:"The response body returned in response to a request to list the contents of a container in an XML response body, in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003ccontainer name=\"sales-practice\"\u003e      \u003cobject\u003e           \u003cname\u003emktg/campaign_GoGetEm_expenses.xls\u003c/name\u003e ...",t:"Response body (GET container)"},"2008":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/GET container HTTP status codes.htm",a:"HTTP status codes (GET container) The table below describes HTTP status codes that can be returned in response to a request to list container contents. For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"HTTP status codes (GET container)"},"2009":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Listing the items in a directory example.htm",a:"Here\u0027s a sample GET request for a container listing that lists the objects that are in the mktg directory and, separately, the subdirectories that are in the mktg directory. The requests uses these query parameters: prefix=mktg/ - lists only items that start with mktg/ marker=mktg/ - Starts the ...",t:"Example: Listing the items in a directory"},"2010":{i:0.000252379963434009,u:"../Content/Using the HCP Openstack Swift API/Deleting a container.htm",a:"You use the HTTP DELETE method to delete a container. To delete a container, you need to have a Keystone or local authentication token for the HSwift account in which the container exists. You can delete a container only while it\u0027s empty. If you try to delete a container that contains any objects, ...",t:"Deleting a container"},"2011":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/DELETE container request line.htm",a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line  for a request to delete a container has either of these formats: With the Keystone tenant ID: DELETE /swift/v1/tenant-ID/container-name HTTP/1.1 With the account name: ...",t:"Request line (DELETE container)"},"2012":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/DELETE container request headers.htm",a:"Request headers (DELETE container) The table below describes the headers you can use in a request to delete a container.",t:"Request headers (DELETE container)"},"2013":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/DELETE container response headers.htm",a:"Response headers (DELETE container) The table below describes the response headers returned in a response to a successful request to a delete a container.",t:"Response headers (DELETE container)"},"2014":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/DELETE container HTTP status codes.htm",a:"HTTP status codes (DELETE container) The table below describes HTTP status codes tat can be returned in response to a request to delete a container. For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"HTTP status codes (DELETE container)"},"2015":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Deleting a container example.htm",a:"Here\u0027s a sample DELETE request that deletes the container named sales-mktg. Request with curl command line curl -i -X DELETE http://api.hcp.example.com/swift/v1/AUTH_6b6884ebb6f441cfbb7e740f6a927c9e/sales-mkgt -H \"X-Auth-Token: dc5efec8f546455eac974e7bbfd0dd87\" Request headers DELETE ...",t:"Example: Deleting a container"},"2016":{i:0.00369772673496366,u:"../Content/Using the HCP Openstack Swift API/Working with objects.htm",a:"With the HSwift API, you can perform operation on individual objects.  For each object operation you can request, this chapter: Describes the operation Shows the request line for the operation Describes the request headers for the operation Describes the response headers returned for a successful ...",t:"Working with objects"},"2017":{i:0.000359642612045849,u:"../Content/Using the HCP Openstack Swift API/Storing an object.htm",a:"You use the HTTP PUT method to store an object in a container. To store an object, you need the write permission for the container. For a request to store an object, the request body consists of the data in a specified file. This data becomes the object content. When you store an object, you specify ...",t:"Storing an object"},"2018":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT object request line.htm",a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line   for a request to store an object has either of these formats: With the Keystone tenant ID: PUT /swift/v1/tenant-ID/container-name/object-name HTTP/1.1 With the account name: PUT ...",t:"Request line (PUT object)"},"2019":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT object request headers.htm",a:"Request headers (PUT object) The table below describes the headers you can use in a request to store an object.",t:"Request headers (PUT object)"},"2020":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT object response headers.htm",a:"Response headers (PUT object) The table below describes the response headers returned in response to a successful request to store an object.",t:"Response headers (PUT object)"},"2021":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT object HTTP status codes.htm",a:"HTTP status codes (PUT object) The table below describes HTTP status codes that can be returned in response to a request to store an object. For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"HTTP status codes (PUT object)"},"2022":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/Storing an object example.htm",a:"Here\u0027s a sample PUT request that stores an object named Q4_2012.ppt in the finance container. Request with curl command line curl -k -i -X PUT http://api.hcp.example.com/swift/v1/AUTH_6b6884ebb6f441cfbb7e740f6a927c9e/finance/Q4_2012.ppt -H \"X-Auth-Token: dc5efec8f546455eac974e7bbfd0dd87\" -H ...",t:"Example: Storing an object"},"2023":{i:0.000252379963434009,u:"../Content/Using the HCP Openstack Swift API/Creating a directory.htm",a:"You use the HTTP PUT method to create a directory in a container. To create a  directory, you need write permission for the container. To tell HCP to create a directory instead of an object in response to a PUT request, you need to include a forward slash (/) after the directory\u0027s name. When you ...",t:"Creating a directory"},"2024":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT object create directory request line.htm",a:"Depending on whether the HSwift request uses a Keystone tenant ID or the account name, the request line for a request to create a directory has either of these formats: With the Keystone tenant ID: PUT /swift/v1/tenant-ID/container-name/directory-name/ HTTP/1.1 With the account name: PUT ...",t:"Request line (PUT directory)"},"2025":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT object create directory request headers.htm",a:"Request headers (PUT directory) The table below describes the headers you can use in a request to create a directory.",t:"Request headers (PUT directory)"},"2026":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT object create directory response headers.htm",a:"Response headers (PUT directory) The table below describes the response headers returned in response to a successful request to create a directory.",t:"Response headers (PUT directory)"},"2027":{i:0.000237933826058224,u:"../Content/Using the HCP Openstack Swift API/PUT object create directory HTTP status codes.htm",a:"HTTP status codes (PUT directory) The table below describes HTTP status codes that can be returned in response to a request to store an object. For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"HTTP status codes (PUT directory)"},});