define({"1090":{i:0.000943968864104504,u:"../Content/Using the HCP HS3 API/Access and authentication.htm",a:"HS3 is an HTTP-based API.  This means that you use URLs to identify tenants, buckets, and objects.  Every HS3 request for access to HCP must include the URL for the service point, bucket, or object that’s the target of the request. With every HS3 request, you also need to either provide credentials ...",t:"Access and authentication"},"1091":{i:0.000800336640741396,u:"../Content/Using the HCP HS3 API/URLs for access to HCP.htm",a:"With the HS3 API, the service point (also called the endpoint) is a tenant.  Every request you make to access HCP using HS3 is made within the context of a tenant. The URL in a request identifies the target of the request.  This target can be the tenant, a bucket within the tenant, or an object ...",t:"URLs for access to HCP"},"1092":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Using an IP address in a URL.htm",a:"Normally, you let HCP choose the node on which to process an HS3 API request.  You can, however, use an IP address in the request URL to access the system on a specific node.  To do this, you replace the fully qualified hostname in the URL with the IP address of an HCP node. When you use an IP ...",t:"Using an IP address in a URL"},"1093":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Using a hosts file.htm",a:"Typically, the HCP system uses DNS for system addressing.  If this is not the case, to access the system, you need to provide mappings of the hostname of each target tenant or bucket to one or more node IP addresses. You specify hostname mappings in the hosts file on the client.  The location of ...",t:"Using a hosts file"},"1094":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/URL considerations.htm",a:"The following considerations apply to URLs in HS3 API requests. Case sensitivity in URLs In the URLs you specify in HS3 requests: HTTP and HTTPS are not case sensitive. Hostnames are not case sensitive. Bucket names are not case sensitive. Unlike the items above, object names are case sensitive. ...",t:"URL considerations"},"1095":{i:0.00339506098765601,u:"../Content/Using the HCP HS3 API/AWS authentication.htm",a:"To use the HS3 API as an authenticated user, you need to provide credentials that are based on the username and password for your user account.  To provide credentials, you typically use the HTTP Authorization request header. If HCP is configured to support Windows Active Directory® (AD), you can ...",t:"AWS authentication"},"1096":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Authorization header.htm",a:"To provide credentials for AWS V2 authentication using the Authorization header, you use this format: Authorization: AWS access-key:signature In this format: access-key is the Base64-encoded username for your user account. signature is a value calculated using your secret key and specific elements ...",t:"Authorization header"},"1097":{i:0.000727109729493806,u:"../Content/Using the HCP HS3 API/Active Directory authentication header.htm",a:"To provide credentials for AWS authentication using the Active Directory authorization header, you use this format: Authorization: AD AD-username:AD-password In this format: AD-username is the AD user account username. AD-password is the AD user account password. Here’s an example of an AD ...",t:"Active Directory authentication header"},"1098":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Presigned URLs.htm",a:"To provide credentials for AWS authentication using a presigned URL, you append these query parameters to the request URL: AWSAccessKeyId=access-key Expires=expiration-time Signature=signature In these parameters: access-key is the Base64-encoded username for your user account. expiration-time is ...",t:"Presigned URLs"},"1099":{i:0.000464433967955283,u:"../Content/Using the HCP HS3 API/Signatures.htm",a:"Third-party tools that are compatible with HS3 typically calculate request signatures automatically.  Some of these tools can also be used to generate presigned URLs. If you’re writing your own application, you can use an AWS SDK to calculate request signatures.  For information on these SDKs see: ...",t:"Signatures"},"1100":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Anonymous access.htm",a:"To request anonymous access to a bucket or object, you use the Authorization request header.  However, instead of providing credentials for a user account, you specify all_users in place of the access key and leave the signature blank, like this: Authorization:  AWS  all_users: The colon after ...",t:"Anonymous access"},"1101":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Invalid credentials.htm",a:"Regardless of how HS3 is configured, if you provide invalid credentials, HCP returns an InvalidAccessKeyId or SignatureDoesNotMatch error code and does not perform the requested operation: InvalidAccessKeyId indicates that the access key you provided does not correspond to a valid username. ...",t:"Invalid credentials"},"1102":{i:0.000602950265702374,u:"../Content/Using the HCP HS3 API/Changing your password.htm",a:"If you have a user account that’s defined in HCP, the password for the account is initially set by a tenant administrator.  You can change this password at any time, as long as you have browse or read permission for at least one bucket.  For security purposes, you should change your password as soon ...",t:"Changing your password"},"1103":{i:0.00738015520128543,u:"../Content/Using the HCP HS3 API/Requests and responses.htm",a:"With the HS3 API, you submit requests for operations to HCP, and HCP returns responses that indicate the outcome of the request and include any requested information or content. This chapter contains general information about HS3 requests and HCP responses to those requests.  For information about ...",t:"Requests and responses"},"1104":{i:0.000342213705237262,u:"../Content/Using the HCP HS3 API/Requests.htm",a:"Requests HS3 is an HTTP-based API.  As is standard for HTTP, the structure for an HS3 request consists of a request line, request headers that qualify the request, and, if applicable, a request body.",t:"Requests"},"1105":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Request line.htm",a:"The request line for an HS3 request specifies the operation to be performed and the version of HTTP on which the HS3 API is based.  Additionally: If the target of the request is a tenant or if the target is a bucket and the hostname includes the bucket name, the request line includes a forward slash ...",t:"Request line"},"1106":{i:0.00253756122423674,u:"../Content/Using the HCP HS3 API/Common request headers.htm",a:"Some request headers are common to all HS3 requests.  The table below describes those headers.  Request headers that are specific to certain requests are described in the sections for those requests in  Working with buckets  and  Working with objects . Request header names are not case sensitive.  ...",t:"Common request headers"},"1107":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Responses.htm",a:"The response to an HS3 request consists of a response status line, response headers that provide information about the execution and outcome of the request, and, if applicable, a response body.  The response to an unsuccessful request (except for HEAD requests) includes an error response body.",t:"Responses"},"1108":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Response status line.htm",a:"The status line returned in response to an HS3 request specifies the version of HTTP on which the HS3 API is based and an HTTP status code that indicates the outcome of the request.  HTTP status codes in the 2xx range indicate that the requested operation was successful.  HTTP status codes in the ...",t:"Response status line"},"1109":{i:0.00420437400712673,u:"../Content/Using the HCP HS3 API/Common response headers.htm",a:"Common response headers Some response headers are common to all HS3 requests.  The table below describes those headers.  Response headers that are specific to certain requests are described in the sections for those requests in  Working with buckets  and  Working with objects .  ",t:"Common response headers"},"1110":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Error response body.htm",a:"When an HS3 requests results in an error, HCP returns information about the error in an error request body.  An error request body contains XML in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\"?\u003e \u003cError\u003e     \u003cCode\u003eerror-code\u003c/Code\u003e     \u003cMessage\u003eerror-message\u003c/Message\u003e ...",t:"Error response body"},"1111":{i:0.00526633228985443,u:"../Content/Using the HCP HS3 API/Error codes.htm",a:"Every error response body contains an error code and a message that provides more information about the error.  Error codes are returned in addition to HTTP status codes.  A single HTTP status code can correspond to multiple error codes. The table below describes the error codes that can be returned ...",t:"Error codes"},"1112":{i:0.00829896573500632,u:"../Content/Using the HCP HS3 API/Working with buckets.htm",a:"With the HS3 API, you can perform operations on individual buckets.  You can also list all the buckets you own. For each bucket operation you can request, this chapter: Describes the operation Shows the request line for the operation Describes the request headers for the operation Describes the ...",t:"Working with buckets"},"1113":{i:0.000342213705237262,u:"../Content/Using the HCP HS3 API/creating a bucket.htm",a:"You use the HTTP PUT method to create a bucket.  You can create a bucket only if your user account is configured to let you do so. When you create a bucket, you specify a name for it.  For information on naming buckets, see  Bucket names . You can specify an ACL for a bucket in the same request as ...",t:"Creating a bucket"},"1114":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to create a bucket has either of these formats: With the bucket name included in the hostname: PUT / HTTP/1.1 With the bucket name following the hostname: PUT /bucket-name HTTP/1.1",t:"PUT bucket request line"},"1115":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket request headers.htm",a:"PUT bucket request headers The table below describes the headers you can use in a request to create a bucket.",t:"PUT bucket request headers"},"1116":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket response headers.htm",a:"PUT bucket response headers The table below describes the response headers returned in response to a successful request to create a bucket.",t:"PUT bucket response headers"},"1117":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket HTTP status codes.htm",a:"PUT bucket HTTP status codes The table below describes HTTP status codes that can be returned in response to a request to create a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"PUT bucket HTTP status codes"},"1118":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Put bucket examples.htm",a:"Put bucket examples The following sections show sample PUT requests for creating buckets.",t:"Put bucket examples"},"1119":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Creating a bucket example.htm",a:"Here’s a sample PUT request that creates a bucket named finance in the context of the tenant named europe. Request with s3curl command line ./s3curl.pl  --id=lgreen  --createBucket  --  -k  \"https://finance.europe.hcp.example.com\" Request headers PUT / HTTP/1.1 Host: finance.europe.hcp.example.com ...",t:"Creating a bucket example"},"1120":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Creating a bucket with an ACL example.htm",a:"Here’s a sample PUT request that creates a bucket named human-resources and adds an ACL to the bucket.  The ACL grants read permission to all users and write permission to the users with usernames mwhite and pdgrey. Request with s3curl command line ./s3curl.pl  --id=lgreen  --createBucket  --  -k ...",t:"Creating a bucket with an ACL example"},"1121":{i:0.000342213705237262,u:"../Content/Using the HCP HS3 API/Listing the buckets you own.htm",a:"You use the HTTP GET method to list the buckets you own.  You need a user account to request this operation. The target of a request to list the buckets you own is a tenant (that is, the service point).  The list of buckets in the response contains only buckets created in the context of that tenant ...",t:"Listing the buckets you own"},"1122":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket request line.htm",a:"GET bucket request line The request line for a request to list the buckets you own has this format: GET / HTTP/1.1",t:"GET bucket request line"},"1123":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket request headers.htm",a:"GET bucket request headers The table below describes the headers you can use in a request to list the buckets you own.",t:"GET bucket request headers"},"1124":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket response headers.htm",a:"GET bucket response headers The table below describes the response headers returned in response to a successful request to create a bucket.",t:"GET bucket response headers"},"1125":{i:0.000616802048594593,u:"../Content/Using the HCP HS3 API/GET bucket response body.htm",a:"HCP returns the list of buckets you own in an XML response body, in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003cListAllMyBucketsResult xmlns=\"http://s3.amazonaws.com/doc/2006-03-01/\"\u003e      \u003cOwner\u003e           \u003cID\u003ebucket-owner-user-id\u003c/ID\u003e ...",t:"GET bucket response body"},"1126":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket HTTP status codes.htm",a:"GET bucket HTTP status codes The table below describes HTTP status codes that can be returned in response to a request to list the buckets you own.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"GET bucket HTTP status codes"},"1127":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Listing the buckets you own example.htm",a:"Here’s a sample GET request that returns a list of the buckets owned by user lgreen in the context of the europe tenant. Request with s3curl command line ./s3curl.pl  --id=lgreen  --  -k  \"https://europe.hcp.example.com\" -H  \"x-hcp-pretty-print:true\" Request headers GET / HTTP/1.1 Host: ...",t:"Listing the buckets you own example"},"1128":{i:0.000342213705237262,u:"../Content/Using the HCP HS3 API/Checking the existence of a bucket.htm",a:"You use the HTTP HEAD method to check the existence of a bucket.  To successfully check the existence of a bucket, you need read permission for the bucket. If the bucket you specify in the HEAD request does not exist, HCP returns a 404 (Not Found) status code.  If the bucket exists but you do not ...",t:"Checking the existence of a bucket"},"1129":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/HEAD bucket request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to check the existence of a bucket has either of these formats: With the bucket name included in the hostname: HEAD / HTTP/1.1 With the bucket name following the hostname: HEAD ...",t:"HEAD bucket request line"},"1130":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/HEAD bucket request headers.htm",a:"HEAD bucket request headers The table below describes the headers you can use in a request to check the existence of a bucket.",t:"HEAD bucket request headers"},"1131":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/HEAD bucket response headers.htm",a:"HEAD bucket response headers The table below describes the response headers returned in response to a successful request to check the existence of a bucket.",t:"HEAD bucket response headers"},"1132":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/HEAD bucket HTTP status codes.htm",a:"HEAD bucket HTTP status codes The table below describes HTTP status codes that can be returned in response to a request to check the existence of a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"HEAD bucket HTTP status codes"},"1133":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Checking the existence of a bucket example.htm",a:"Here’s a sample HEAD request that checks the existence of a bucket named finance. Request with s3curl command line ./s3curl.pl  --id=lgreen  --head  --  -k  \"https://finance.hcp.example.com\" Request headers HEAD / HTTP/1.1 Host: finance.europe.hcp.example.com Date: Tue, 19 Mar 2013 20:08:59 +0000 ...",t:"Checking the existence of a bucket example"},"1134":{i:0.000342213705237262,u:"../Content/Using the HCP HS3 API/Adding an ACL to a bucket.htm",a:"You use the HTTP PUT method with the acl query parameter to add an ACL to an existing bucket.  Adding an ACL to a bucket replaces any existing ACL in its entirety.  You cannot modify an existing ACL in place. To add an ACL to a bucket, you need write ACL permission for the bucket. To add an ACL to a ...",t:"Adding an ACL to a bucket"},"1135":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket ACL request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to add an ACL to a bucket has either of these formats: With the bucket name included in the hostname: PUT /?acl HTTP/1.1 With the bucket name following the hostname: PUT ...",t:"PUT bucket ACL request line"},"1136":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket ACL request headers.htm",a:"PUT bucket ACL request headers The table below describes the headers you can use in a request to add an ACL to a bucket.",t:"PUT bucket ACL request headers"},"1137":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket ACL HTTP status codes.htm",a:"PUT bucket ACL HTTP status codes The table below describes HTTP status codes that can be returned in response to a request to add an ACL to a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"PUT bucket ACL HTTP status codes"},"1138":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Examples.htm",a:"Examples The following sections show sample PUT requests for adding ACLs to buckets.",t:"Examples"},"1139":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Adding an ACL to a bucket by specifying individual grants example.htm",a:"Here’s a sample PUT request that adds an ACL to the finance bucket by using x-amz-grant- headers.  The ACL grants read permission to all users, write permission to user pdgrey, and write, read ACL, and write ACL permission to user mwhite. Request with s3curl command line ./s3curl.pl  --id=lgreen  ...",t:"Adding an ACL to a bucket by specifying individual grants example"},"1140":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Adding an ACL to a bucket by using an ACL request body example.htm",a:"Here’s a sample PUT request that uses an ACL request body to add an ACL to the finance bucket and, at the same time, change the owner of the bucket.  The ACL grants read and write access to the bucket to user lgreen and changes the bucket owner to user mwhite.  The ACL request body is in a file ...",t:"Adding an ACL to a bucket by using an ACL request body example"},"1141":{i:0.000342213705237262,u:"../Content/Using the HCP HS3 API/Retrieving the ACL for a bucket.htm",a:"You use the HTTP GET method with the acl query parameter to retrieve the ACL for a bucket.  To retrieve the ACL for a bucket, you need read ACL permission for the bucket. The bucket ACL is returned in an XML response body.  The format of the response body is the same as the format you use for the ...",t:"Retrieving the ACL for a bucket"},"1142":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket ACL request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to retrieve a bucket ACL has either of these formats: With the bucket name included in the hostname: GET /?acl HTTP/1.1 With the bucket name following the hostname: GET ...",t:"GET bucket ACL request line"},"1143":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket ACL request headers.htm",a:"GET bucket ACL request headers The table below describes the headers you can use in a request to retrieve a bucket ACL.",t:"GET bucket ACL request headers"},"1144":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket ACL response headers.htm",a:"GET bucket ACL response headers The table below describes the response headers returned in response to a successful request to retrieve a bucket ACL.",t:"GET bucket ACL response headers"},"1145":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket ACL HTTP status codes.htm",a:"GET bucket ACL HTTP status codes The table below describes HTTP status codes that can be returned in response to a request to retrieve a bucket ACL.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"GET bucket ACL HTTP status codes"},"1146":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Retrieving a bucket ACL example.htm",a:"Here’s a sample GET request that retrieves the ACL for the bucket named finance. Request with s3curl command line ./s3curl.pl  --id=lgreen  --  -k  \"https://finance.europe.hcp.example.com?acl\"      -H  \"x-hcp-pretty-print:true\" Request headers GET /?acl HTTP/1.1 Host: finance.europe.hcp.example.com ...",t:"Retrieving a bucket ACL example"},"1147":{i:0.000342213705237262,u:"../Content/Using the HCP HS3 API/Enabling or disabling versioning for a bucket.htm",a:"You use the HTTP PUT method with the versioning query parameter to enable or disable versioning for a bucket.  To enable or disable versioning for a bucket, you need to be the bucket owner. While versioning is enabled for a bucket, the versioning status of the bucket is Enabled.  If you disable ...",t:"Enabling or disabling versioning for a bucket"},"1148":{i:0.000616802048594593,u:"../Content/Using the HCP HS3 API/PUT bucket versioning request body.htm",a:"For the content of a versioning request body, you use XML in this format: \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003cVersioningConfiguration xmlns=\"http://s3.amazonaws.com/doc/2006-03-01/\"\u003e      \u003cStatus\u003eversioning-status\u003c/Status\u003e \u003c/VersioningConfiguration\u003e The table below describes XML ...",t:"PUT bucket versioning request body"},"1149":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket versioning request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to enable or disable versioning for a bucket has either of these formats: With the bucket name included in the hostname: PUT /?versioning HTTP/1.1 With the bucket name following the ...",t:"PUT bucket versioning request line"},"1150":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket versioning request headers.htm",a:"PUT bucket versioning request headers The table below describes the headers you can use in a request to enable or disable versioning for a bucket.",t:"PUT bucket versioning request headers"},"1151":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket versioning response headers.htm",a:"PUT bucket versioning response headers The table below describes the response headers returned in response to a successful request to enable or disable versioning for a bucket.",t:"PUT bucket versioning response headers"},"1152":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/PUT bucket versioning HTTP status codes.htm",a:"PUT bucket versioning HTTP status codes The table below describes HTTP status codes that can be returned in response to a request to enable or disable versioning for a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"PUT bucket versioning HTTP status codes"},"1153":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Enabling versioning for a bucket example.htm",a:"Here’s a sample PUT request that enables versioning for the finance bucket.  The versioning request body is in a file named versioning.xml. Request body \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003cVersioningConfiguration xmlns=\"http://s3.amazonaws.com/doc/2006-03-01/\"\u003e ...",t:"Enabling versioning for a bucket example"},"1154":{i:0.000342213705237262,u:"../Content/Using the HCP HS3 API/Checking the versioning status of a bucket.htm",a:"You use the HTTP GET method with the versioning query parameter to check the versioning status of a bucket.  To check the versioning status of a bucket, you need to be the bucket owner. The versioning status is returned in an XML response body.  The format of the response body is the same as the ...",t:"Checking the versioning status of a bucket"},"1155":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket versioning request line.htm",a:"Depending on whether the bucket name is included in the hostname in the HS3 request, the request line for a request to check the versioning status of a bucket has either of these formats: With the bucket name included in the hostname: GET /?versioning HTTP/1.1 With the bucket name following the ...",t:"GET bucket versioning request line"},"1156":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket versioning request headers.htm",a:"GET bucket versioning request headers The table below describes the headers you can use in a request to check the versioning status of a bucket.",t:"GET bucket versioning request headers"},"1157":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket versioning response headers.htm",a:"GET bucket versioning response headers The table below describes the response headers returned in response to a successful request to check the versioning status of a bucket.",t:"GET bucket versioning response headers"},"1158":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/GET bucket versioning HTTP status codes.htm",a:"GET bucket versioning HTTP status codes The table below describes HTTP status codes that can be returned in response to a request to check the versioning status of a bucket.  For more information on HTTP status codes and the error codes that can accompany them, see  Error codes .",t:"GET bucket versioning HTTP status codes"},"1159":{i:0.000325917670208192,u:"../Content/Using the HCP HS3 API/Checking the versioning status of a bucket example.htm",a:"Here’s a sample GET request that retrieves the versioning status of the bucket named finance. Request with s3curl command line ./s3curl.pl  --id=lgreen  --  -k  \"https://finance.europe.hcp.example.com?versioning\"      -H  \"x-hcp-pretty-print:true\" Request headers GET /?versioning HTTP/1.1 Host: ...",t:"Checking the versioning status of a bucket example"},"1160":{i:0.000342213705237262,u:"../Content/Using the HCP HS3 API/Listing bucket contents.htm",a:"You use the HTTP GET method to list the contents of a bucket.  To list the contents of a bucket, you need browse permission for the bucket. For the purpose of a bucket listing, the bucket contents consist not only of the objects you stored in the bucket but also of the folders that you created in ...",t:"Listing bucket contents"},"1161":{i:0.000422879129670326,u:"../Content/Using the HCP HS3 API/Limiting the bucket listing.htm",a:"Limiting the bucket listing You use query parameters to limit the items included in a bucket listing.  The query parameters you can use depend on whether you’re requesting a list of the current (or only) versions of objects or a list of object versions.",t:"Limiting the bucket listing"},"1162":{i:0.000859206718033327,u:"../Content/Using the HCP HS3 API/Limiting a listing of current items.htm",a:"You can use delimiter, marker, max-keys, and prefix query parameters, alone or in combination with each other, to limit the list of the current items in a bucket. delimiter You use the delimiter query parameter to request a bucket listing that includes a list of common prefixes, where a prefix is ...",t:"Limiting a listing of current items"},"1163":{i:0.000464433967955283,u:"../Content/Using the HCP HS3 API/Limiting a version listing.htm",a:"You can use delimiter, key-marker, max-keys, prefix, and version-id-marker query parameters, alone or in combination with each other, to limit the items included in a version listing. The delimiter, max-keys, and prefix parameters have the same functions as the delimiter, max-keys, and prefix ...",t:"Limiting a version listing"},});